miércoles, 31 de octubre de 2007

Prototype y Explorer 5

El objeto XMLHTTPRequest, base de lo que es AJAX, existe desde Explorer 5. Esto quiere decir que un desarrollo AJAX funcionará en Explorer 5.

Podríamos pensar que Prototype, una de las librerías más populares y utilizadas en desarrollos AJAX, sería compatible con Explorer 5. No hay documentación que lo afirme o lo niegue, pero parece lo razonable.

Bien, la triste conclusión de hoy es que la implementación de Prototype no es compatible con Explorer 5. La única confirmación a mi conclusión la he encontrado en Listado de librerías Ajax/DHTML. Portabilidad y compatibilidad con los navegadores.

No se acaba el mundo, mis cinco mil usuarios de Explorer 5 serán derivados a la versión accesible, la de toda la vida, con recarga de páginas, pero es una lástima que a pesar de que Ajax funciona en Explorer 5, no se haya tenido en cuenta este navegador en la implementación de Prototype.

¿Alguien me alegra el día y me dice que usa Prototype en Explorer 5 sin problemas?

4 comentarios :
andresk dijo...
Este comentario ha sido eliminado por el autor.
Andrés Karp dijo...

Pero IE 5 existe? pense que era una leyenda urbana. saludos

Gabriel Porras dijo...

Olga... En este post hablan sobre lo que preguntas: "I support IE5 with Ajax!" Do you really? You better think about that!.
Básicamente dicen que, aunque, como dices el objeto XMLHttpRequest está desde esa versión, el javascript de ese IE no es el mejor del mundo. Mencionan métodos como apply(), send() y otros varios de menajo de arrays que no funcionarán.
Por lo tanto en IE5 el prototype queda out!
Sorry!

Iván dijo...

Siento no poder alegrarte el dia.
Ignoro si el porcentaje de usuarios que hoy en día usan IE5 es lo suficientemente relevante como para que ese hecho te amargue el día.

En cualquier caso, como usuario de, por ejemplo, una NOKIA 770 Internet Tablet, me encuentro a diario con webs que me ofrecen una experiencia de usuario "limitada". En esos casos sigo apreciando el hecho de disponer de la funcionalidad teniendo una versión "más compatible".

Publicar un comentario en la entrada